#include <iostream>
using namespace std;

int main()
{
    iostream::sync_with_stdio(false);
    int brKom, milos;
    cin>>brKom>>milos;
    int levoOdMilosa=0, desnoOdMilosa=0, vreme=0, najdaljiDesno, najdaljiLevo;
    int komsija;
    //Umesto sortiranja
    cin>>komsija;
    najdaljiDesno=komsija;
    najdaljiLevo=komsija;
    for(int i=1; i<brKom; ++i)
    {
        cin>>komsija;
        if(komsija>milos)
            ++desnoOdMilosa;
        else
            ++levoOdMilosa;

        if(komsija>najdaljiDesno)
            najdaljiDesno=komsija;
        if(komsija<najdaljiLevo)
            najdaljiLevo=komsija;
    }

    if(levoOdMilosa>desnoOdMilosa)
    {
        if(najdaljiDesno>milos)
            vreme+=(najdaljiDesno-milos)*2; //Idi do kraja desnih pa nazad
        vreme+=milos-najdaljiLevo; //Idi do kraja levih
    }
    else
    {
        if(najdaljiLevo<milos)
            vreme+=(milos-najdaljiLevo)*2; //Idi do kraja levih, pa nazad
        vreme+=najdaljiDesno-milos; //Idi do kraja desnih
    }
    cout<<vreme<<"\n";
    return 0;
}